Bug 36469 - Computer room memory leak
Computer room memory leak
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: iTALC
UCS@school 3.2 R2
Other Linux
: P5 normal (vote)
: UCS@school 3.2 R2 Errata
Assigned To: Stefan Gohmann
Sönke Schwardt-Krummrich
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-06 07:31 CET by Stefan Gohmann
Modified: 2015-02-27 15:18 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-11-06 07:31:47 CET
We got feedback about a high memory usage in the computerroom module.
Comment 1 Stefan Gohmann univentionstaff 2014-11-06 07:56:51 CET
ucs-school-umc-computerroom: r55415 (3.2) + r55417 (4.0)

* Delete the old ItalcComputer objects in order to free the memory
  (Bug #36469)

italc: r55416 (3.2) + r55419 (4.0)

* Free the framebuffer memory already while stopping the VNC
  connection. This will reduce the memory usage of our python italc
  interface (Bug #36469)

Todo: build and changelog
Comment 2 Stefan Gohmann univentionstaff 2014-11-06 11:25:50 CET
Changelog has been added: r55429

My tests were successful. While selecting a new room, the memory usage increases but the memory is freed by the garbage collector.
Comment 3 Stefan Gohmann univentionstaff 2014-11-06 17:35:14 CET
ucs-school-umc-computerroom: r55470

* Stop, close and delete the computer connections before clearing the
  dict. That should save memory and network connections (Bug #36469)
  Pair-Programmed-With: S?\195?\182nke Schwardt-Krummrich <schwardt@univention.de>
Comment 4 Sönke Schwardt-Krummrich univentionstaff 2014-11-07 10:41:58 CET
(In reply to Stefan Gohmann from comment #2)
> Changelog has been added: r55429

Fixed bug numbers in changelog r55473

Jenkins jobs have been started and revealed no new problems with the computerroom.
Comment 5 Sönke Schwardt-Krummrich univentionstaff 2015-02-27 15:18:36 CET
UCS@school 3.2 R2 v3 has been released:
http://docs.univention.de/release-notes-ucsschool-3.2R2v3-de.html

If this error occurs again, please use "Clone This Bug".